#!/usr/bin/perl

use strict;
use warnings;
use Digest::MD5 qw (md5 md5_hex md5_base64);

my $file = shift;
open(FILE, $file) or die "Can't open '$file': $!";
binmode(FILE);
print Digest::MD5->new->addfile(*FILE)->hexdigest;
close(FILE);

